# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}



%global barename portscanner

Name:               nodejs-portscanner
Version:            1.0.0
Release:            5%{?dist}
Summary:            Asynchronous port scanner for Node.js

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/portscanner
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif


BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(async)

Requires:           npm(async)


%description
The portscanner module is an asynchronous JavaScript port scanner for Node.js.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep async "^1.5.0"

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/portscanner
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/portscanner

%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/portscanner/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 21 2015 Tom Hughes <tom@compton.nu> - 1.0.0-4
- Update npm(async) dependency.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jul 21 2014 Ralph Bean <rbean@redhat.com> - 1.0.0-2
- Specify noarch.

* Tue Jul 08 2014 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- Initial packaging for Fedora.
